## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global appname YACReader
%global versuf 2210304

Name:           yacreader
Version:        9.10.0
Release:        %autorelease
Summary:        Cross platform comic reader and library manager

# The entire source code is GPLv3+ except:
# BSD:          QsLog
#               folder_model
# MIT:          pictureflow
License:        GPLv3+ and BSD and MIT
URL:            https://www.yacreader.com
Source0:        https://github.com/YACReader/%{name}/releases/download/%{version}/%{name}-%{version}.%{versuf}-src.tar.xz

BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  cmake3
BuildRequires:  mesa-libGLU-devel
BuildRequires:  systemd-rpm-macros

BuildRequires:  cmake(Qt5)
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  cmake(Qt5Multimedia)
BuildRequires:  cmake(Qt5QuickControls2)
BuildRequires:  cmake(Qt5ScriptTools)
BuildRequires:  cmake(Qt5Svg)

# For YACReaderLibrary QR Code display
BuildRequires:  pkgconfig(libqrencode)

BuildRequires:  pkgconfig(libunarr)
BuildRequires:  pkgconfig(poppler-qt5)

Requires:       hicolor-icon-theme
Requires:       qt5-qtgraphicaleffects%{?_isa}
Requires:       qt5-qtquickcontrols%{?_isa}
Requires:       qt5-qtsvg

%description
Best comic reader and comic manager with support for .cbr .cbz .zip .rar comic
files.


%prep
%autosetup -n %{name}-%{version}.%{versuf}

# wrong-file-end-of-line-encoding fix
sed -i 's/\r$//' INSTALL.md
# file-not-utf8 fix
iconv -f iso8859-1 -t utf-8 README.md > README.md.conv && mv -f README.md.conv README.md


%build
# Translations
lrelease-qt5 %{appname}/%{appname}.pro
lrelease-qt5 %{appname}Library/%{appname}Library.pro

%qmake_qt5
%make_build


%install
%make_install \
    INSTALL_ROOT=%{buildroot}
# Translations
mkdir -p %{buildroot}%{_datadir}/%{name}/languages
find . -name \*.qm -exec cp {} %{buildroot}%{_datadir}/%{name}/languages/ \;
%find_lang %{name} --with-qt
%find_lang %{name}library --with-qt


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files -f %{name}.lang -f %{name}library.lang
%license COPYING.txt
%doc CHANGELOG.md README.md INSTALL.md
%{_bindir}/%{appname}
%{_bindir}/%{appname}Library
%{_bindir}/%{appname}LibraryServer
%{_datadir}/%{name}/server/
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/*/*.svg
%{_mandir}/man1/*.1*
%{_userunitdir}/*.service
%dir %{_datadir}/%{name}/


%changelog
* Sun Oct 30 2022 Artem Polishchuk <ego.cordatus@gmail.com> 9.10.0-1
- build: Update to 9.10.0

* Sun Oct 02 2022 Artem Polishchuk <ego.cordatus@gmail.com> 9.9.2-1
- chore(update): 9.9.2

* Sun Sep 04 2022 Artem Polishchuk <ego.cordatus@gmail.com> 9.9.1-1
- chore(update): 9.9.1

* Sun Sep 04 2022 Artem Polishchuk <ego.cordatus@gmail.com> 9.9.0-1
- chore(update): 9.9.0

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 9.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 9.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Nov 26 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 9.8.2-1
- chore(update): 9.8.2 | Co-authored-by: Jack Xu <jackyzy823@gmail.com>
- build(add BR): libqrencode
- build(add BR): Qt5Svg

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 9.7.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Mar 30 2021 Jonathan Wakely <jwakely@redhat.com> - 9.7.1-3
- Rebuilt for removed libstdc++ symbol (#1937698)

* Thu Jan 28 2021 Fedora Release Engineering <releng@fedoraproject.org> - 9.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Sep 12 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 9.7.1-1
- Update to 9.7.1

* Fri Sep  4 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 9.7.0-1
- Update to 9.7.0

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 9.6.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Feb 02 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 9.6.2-3
- Add dep: qt5-qtgraphicaleffects
- Add dep: qt5-qtquickcontrols

* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 9.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Jan 21 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 9.6.2-1
- Update to 9.6.2
- Enable LTO

* Fri Jan 17 2020 Marek Kasik <mkasik@redhat.com> - 9.6.0-2
- Rebuild for poppler-0.84.0

* Mon Sep 16 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 9.6.0-1
- Update to 9.6.0

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 9.5.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Mar 29 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 9.5.0-6
- Initial package.

